petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscOptionsGetBoolArray

Gets an array of Logical (true or false) values for a particular option in the database. The values must be separated with commas with no intervening spaces.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsGetBoolArray(PetscOptions options,const char pre[],const char name[],PetscBool dvalue[],PetscInt *nmax,PetscBool  *set)

Not Collective Many br

### Input Parameters

| options | - options database use NULL for default global database Many br
| pre | - string to prepend to each name or NULL Many br
| name | - the option one is seeking Many br
| nmax | - maximum number of values to retrieve Many br

### Output Parameter

| dvalue | - the integer values to return Many br
| nmax | - actual number of values retreived Many br
| set | - PETSC_TRUE if found, else PETSC_FALSE Many br

Many br

### Notes

TRUE, true, YES, yes, nostring, and 1 all translate to PETSC_TRUE Many brFALSE, false, NO, no, and 0 all translate to PETSC_FALSE Many br

### See Also

PetscOptionsGetInt(), PetscOptionsHasName(),
PetscOptionsGetString(), PetscOptionsGetRealArray(), PetscOptionsBool(), Many brPetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), Many brPetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), Many brPetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), Many brPetscOptionsFList(), PetscOptionsEList() Many br

Level:beginner
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages